# eric4.QScintilla.Lexers.LexerPython

Module implementing a Python lexer with some additional methods.

### Global Attributes

None

### Classes

LexerPython | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerPython

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerPython, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerPython | Constructor
autoCompletionWordSeparators | Public method to return the list of separators for autocompletion.
defaultKeywords | Public method to get the default keywords.
getIndentationDifference | Private method to determine the difference for the new indentation.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerPython (Constructor)

LexerPython(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerPython.autoCompletionWordSeparators

autoCompletionWordSeparators()

Public method to return the list of separators for autocompletion.

Returns:
  list of separators (QStringList)

#### LexerPython.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Returns:
  string giving the keywords (string) or None

#### LexerPython.getIndentationDifference

getIndentationDifference(line, editor)

Private method to determine the difference for the new indentation.

line
  line to perform the calculation for (integer)
editor
  QScintilla editor

Returns:
  amount of difference in indentation (integer)

#### LexerPython.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerPython.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerPython.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up